Page MenuHomePhabricator

Update node libraries in quiz extension
Closed, ResolvedPublic

Description

"npm install" gives warnings for Quiz extension because some of the libraries are outdated. Update the libraries in package.json to the most recent stable version, reinstall the libraries, make sure tests all still continue to pass, and then commit the change to gerrit.

Details

Related Gerrit Patches:
mediawiki/extensions/Quiz : masterUpdate outdated libraries

Event Timeline

Mvolz created this task.Sep 19 2016, 12:42 PM
Restricted Application added subscribers: TerraCodes, Aklapper. · View Herald TranscriptSep 19 2016, 12:42 PM
Mvolz removed Sauravvishal8797 as the assignee of this task.Oct 14 2016, 12:31 PM
Mvolz triaged this task as Normal priority.
Mvolz added a subscriber: Sauravvishal8797.
nikitavbv added a subscriber: nikitavbv.

All libraries are now updated to the most recent versions. There are no more deprecated warnings during the installation. All tests still continue to pass.
I also checked some basic functionality - looks like everything is okay.
However, there are some other warnings during the installation:

npm WARN prefer global coffee-script@1.10.0 should be installed with -g
npm WARN prefer global jsonlint@1.6.2 should be installed with -g
npm WARN prefer global jshint@2.9.4 should be installed with -g

But I think this is not related to this issue.
Gerrit link: https://gerrit.wikimedia.org/r/#/c/329366/

Change 329366 had a related patch set uploaded (by Phantom42):
Update outdated libraries

https://gerrit.wikimedia.org/r/329366

Mvolz closed this task as Resolved.Jan 5 2017, 12:41 PM
Mvolz removed a project: Patch-For-Review.

Change 329366 merged by jenkins-bot:
Update outdated libraries

https://gerrit.wikimedia.org/r/329366